Summary: Apache module: securing web applications 
Name: mod_security
Version: 1.9.4
Release: 2tr
License: GPL
Group: Trustix Official
Source0: http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
Source1: %{name}.conf
URL: http://www.modsecurity.org/
BuildRequires: apache-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
ModSecurity is an open source intrusion detection and prevention
engine for web applications. It operates embedded into the web server,
acting as a powerful umbrella - shielding web applications from
attacks.

%prep
%setup -q -n modsecurity-apache_%{version}

%build
/usr/sbin/apxs -Wc,"$RPM_OPT_FLAGS" -c apache2/mod_security.c

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/
install -m755 apache2/.libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/apache
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr (-,root,root)
%doc CHANGES LICENSE INSTALL README httpd*  util
%{_libdir}/apache/mod_security.so
%config(noreplace) /etc/httpd/conf.d/mod_security.conf


%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Fri Jun 16 2006 Bipin S <bipin at trustix dot org> 1.9.4-1tr
- Initial version for TSL-3.0.5

* Wed Sep 21 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.8.7-1tr
- Initial spec file for TSL-3.0 (#Bug 1296).
